Bug 114182 - kde screen saver fails to active with vmware
kde screen saver fails to active with vmware
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdebase (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-23 13:22 EST by Paul D. Mitcheson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-02 06:46:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul D. Mitcheson 2004-01-23 13:22:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
After running kde for a while, the screen saver on kde will fail to
activate.  If I try to lock the screen manually it will also fail.

This issue seems to occur after running vmware.  A collegue of mine
was suffering this problem before update 1 without running vmware -
and it is now fixed.  But having run vmware the problem still occurs.

I have marked this as security - because as a sysadmin I absolutely
must be able to lock my screen.

Version-Release number of selected component (if applicable):
kdebase-3.1.3-5.2

How reproducible:
Always

Steps to Reproduce:
1. login to rhew with kde
2.  run vmware
3. after some time the screen will not lock
    

Actual Results:  screen doesn't lock

Expected Results:  screen would lock

Additional info:

will try to post ann output of /usr/bin/kdesktop_lock when it happens
again.
Comment 1 Paul D. Mitcheson 2004-01-24 14:34:34 EST
OK, locking using:

/usr/bin/kdesktop_lock --forcelock 

always locks the screen.

It appears that simply after a while the lock screen applet stops
working. (ie the lock/logout applet)

Still it is very annoying.

Cheers,

Paul
Comment 2 Paul D. Mitcheson 2004-02-03 06:44:09 EST
OK, more info.  kdesktop_lock seems to keep running sometimes even
when the screen is not locked.

killing this process brings the rest back to life.

Paul
Comment 3 Paul D. Mitcheson 2004-04-03 13:36:01 EST
This bug has now been in bugzilla for 2months.

Is anyone looking at it?
Comment 4 Ngo Than 2004-05-18 09:03:37 EDT
Hm, i don't have vmware running on my machine, so i cannot reproduce
this problem. But the desktop lock (Screensaver) works fine for me.

which screensaver is running on your machine?

does it work, if you change your current screensaver to "Black Screen"?
Comment 5 Paul D. Mitcheson 2004-05-18 09:07:51 EDT
Hi Ngo,

I'm running "circuit" as a screen saver, but other people have seen it
with other screensavers here too.  And it appears that it is not
solely a problem with vmware.  A machine which has had a local X login
for a few days seems to suffer the problem.

Unfortunately can't reproduce it on my machine at the moment - I only
rebooted this morning.

How may I help with the debugging?

Cheers,

Paul
Comment 6 Paul D. Mitcheson 2004-09-05 18:44:27 EDT
Anybody going to do anything on this bug?  I reported it in January
and nothing has happened.

Paul
Comment 7 Don Gifford 2004-10-01 08:50:55 EDT
The problem is caused because vmware is running when the screen saver
tries to lock the screen but vmware has the focus.  kdesktop_lock is
activated but since it does not have the focus the screen is not
actually locked.  You have hit on one of the solutions which is to
kill kdesktop_lock.  The other alternative is to replace kdesktop_lock
with a wrapper that checks for the occurrence of a kdesktop_lock
process before calling kdesktop_lock --forcelock
Comment 8 EE CAP Admin 2004-10-01 09:17:38 EDT
Don,

Thnaks for the info.  I can see how this would cause the problem.

However, the problem also occurs (after a few days of being logged in)
on EL3 machines not running vmware.

Anyone at redhat care to comment?

I may well follow Don's advice and rewrite kdesktop_lock with a
wrapper anyway... but then I have the hasstle of pushing that fix to
other machines... muich better if it could be fixed properly and done
via rhn.

Paul
Comment 9 Ngo Than 2004-10-01 12:35:29 EDT
it's not reproduceable on machine with rhel3 with above instruction
(without vmware) :(

it would be great if i can get more instructions, how i can reproduce
this problem on my machine. thanks
Comment 10 EE CAP Admin 2004-10-01 12:37:15 EDT
hhhhmmm interesting.  I wonder if it is something else which is
perculiar to our setup...

I'll have a think.
Comment 11 Ngo Than 2004-11-02 06:46:27 EST
sorry, it's not reproduceable on machine with rhel3 with above
instruction. I now close this bug as WORKFORME,
Comment 12 EE CAP Admin 2004-11-02 07:04:13 EST
I have the problem at work and at home.  At home I do not run vmware
at home.

Several other people here have reported the same thing.

Hopefully it will go away with redhat EL4.

Thanks,

Paul

Note You need to log in before you can comment on or make changes to this bug.